#include <libpv.h>
#include <pv_types.h>

#include <pv_lock.h>

void pv_flush(pv_engine_t	*pv_engine_anon,
	      void		*v,
	      size_t		len)
{
	struct pv_engine *pv_engine = (struct pv_engine *)pv_engine_anon;
	
	_pv_flush(pv_engine, v, len);
}


void pv_lock(pv_engine_t	*pv_engine_anon)
{
	struct pv_engine *pv_engine = (struct pv_engine *)pv_engine_anon;

	_pv_lock(pv_engine);
}


void pv_unlock(pv_engine_t	*pv_engine_anon)
{
	struct pv_engine *pv_engine = (struct pv_engine *)pv_engine_anon;

	_pv_unlock(pv_engine);
}
